Xerces-C++ 3.2.0

Macros | Typedefs
Xerces_autoconf_config.hpp File Reference

Go to the source code of this file.

## Macros
#define | XERCES_AUTOCONF 1
#define | XERCES_HAVE_CSTDINT 1
#define | XERCES_HAVE_STDINT_H 1
#define | XERCES_HAVE_SYS_TYPES_H 1
#define | XERCES_HAVE_INTTYPES_H 1
#define | XERCES_HAVE_EMMINTRIN_H 1
#define | XERCES_S16BIT_INT int16_t
#define | XERCES_S32BIT_INT int32_t
#define | XERCES_S64BIT_INT int64_t
#define | XERCES_U16BIT_INT uint16_t
#define | XERCES_U32BIT_INT uint32_t
#define | XERCES_U64BIT_INT uint64_t
#define | XERCES_XMLCH_T uint16_t
#define | XERCES_SIZE_T size_t
#define | XERCES_SSIZE_T ssize_t
#define | XERCES_HAS_CPP_NAMESPACE 1
#define | XERCES_STD_NAMESPACE 1
#define | XERCES_NEW_IOSTREAMS 1
#define | XERCES_LSTRSUPPORT 1
#define | XERCES_HAVE_SSE2_INTRINSIC 1
#define | XERCES_HAVE_GETCPUID 1
#define | XERCES_PLATFORM_EXPORT
#define | XERCES_PLATFORM_IMPORT
#define | XERCES_SIZE_MAX SIZE_MAX
#define | XERCES_SSIZE_MAX SSIZE_MAX

## Typedefs
typedef size_t | XMLSize_t
typedef ssize_t | XMLSSize_t
typedef uint16_t | XMLCh
typedef uint16_t | XMLUInt16
typedef uint32_t | XMLUInt32
typedef uint64_t | XMLUInt64
typedef int16_t | XMLInt16
typedef int32_t | XMLInt32
typedef int64_t | XMLInt64
typedef XMLUInt64 | XMLFilePos
typedef XMLUInt64 | XMLFileLoc

## Macro Definition Documentation

## ◆ XERCES_AUTOCONF

#define XERCES_AUTOCONF 1

## ◆ XERCES_HAS_CPP_NAMESPACE

#define XERCES_HAS_CPP_NAMESPACE 1

## ◆ XERCES_HAVE_CSTDINT

#define XERCES_HAVE_CSTDINT 1

## ◆ XERCES_HAVE_EMMINTRIN_H

#define XERCES_HAVE_EMMINTRIN_H 1

## ◆ XERCES_HAVE_GETCPUID

#define XERCES_HAVE_GETCPUID 1

## ◆ XERCES_HAVE_INTTYPES_H

#define XERCES_HAVE_INTTYPES_H 1

## ◆ XERCES_HAVE_SSE2_INTRINSIC

#define XERCES_HAVE_SSE2_INTRINSIC 1

## ◆ XERCES_HAVE_STDINT_H

#define XERCES_HAVE_STDINT_H 1

## ◆ XERCES_HAVE_SYS_TYPES_H

#define XERCES_HAVE_SYS_TYPES_H 1

## ◆ XERCES_LSTRSUPPORT

#define XERCES_LSTRSUPPORT 1

## ◆ XERCES_NEW_IOSTREAMS

#define XERCES_NEW_IOSTREAMS 1

## ◆ XERCES_PLATFORM_EXPORT

#define XERCES_PLATFORM_EXPORT

## ◆ XERCES_PLATFORM_IMPORT

#define XERCES_PLATFORM_IMPORT

## ◆ XERCES_S16BIT_INT

#define XERCES_S16BIT_INT int16_t

## ◆ XERCES_S32BIT_INT

#define XERCES_S32BIT_INT int32_t

## ◆ XERCES_S64BIT_INT

#define XERCES_S64BIT_INT int64_t

## ◆ XERCES_SIZE_MAX

#define XERCES_SIZE_MAX SIZE_MAX

## ◆ XERCES_SIZE_T

#define XERCES_SIZE_T size_t

## ◆ XERCES_SSIZE_MAX

#define XERCES_SSIZE_MAX SSIZE_MAX

## ◆ XERCES_SSIZE_T

#define XERCES_SSIZE_T ssize_t

## ◆ XERCES_STD_NAMESPACE

#define XERCES_STD_NAMESPACE 1

## ◆ XERCES_U16BIT_INT

#define XERCES_U16BIT_INT uint16_t

## ◆ XERCES_U32BIT_INT

#define XERCES_U32BIT_INT uint32_t

## ◆ XERCES_U64BIT_INT

#define XERCES_U64BIT_INT uint64_t

## ◆ XERCES_XMLCH_T

#define XERCES_XMLCH_T uint16_t

## Typedef Documentation

## ◆ XMLCh

typedef uint16_t XMLCh

## ◆ XMLFileLoc

typedef XMLUInt64 XMLFileLoc

## ◆ XMLFilePos

typedef XMLUInt64 XMLFilePos

## ◆ XMLInt16

typedef int16_t XMLInt16

## ◆ XMLInt32

typedef int32_t XMLInt32

## ◆ XMLInt64

typedef int64_t XMLInt64

## ◆ XMLSize_t

typedef size_t XMLSize_t

## ◆ XMLSSize_t

typedef ssize_t XMLSSize_t

## ◆ XMLUInt16

typedef uint16_t XMLUInt16

## ◆ XMLUInt32

typedef uint32_t XMLUInt32

## ◆ XMLUInt64

typedef uint64_t XMLUInt64